# sendNfeDeliveryFailure

Send NFe delivery failure

`POST /v3/invoices/goods/{key}/deliveryFailure`

**API:** AvaTax Brazil
**Tag:** Invoice Goods
**API Version:** 3.0
**Base URL:** https://avataxbr.sandbox.avalarabrasil.com.br

Source: https://developer.avalara.com/products/avatax-brazil/api/methods/Invoice%20Goods/sendNfeDeliveryFailure/

## Request Body

**Content-Type:** `application/json`
**Schema:** `NFeDeliveryFailureEv`

| Property | Type | Required | Description |
|---|---|---|---|
| `seq` | number | No |  |
| `descEvento` | string | No | (en) Event code 110192 - Failure to deliver the NF-e
(pt) Código do evento 110192 - Insucesso na Entrega da NF-e
Usage purpose: 
Invoice |
| `dhAttemptedDelivery` | string | No | (en) Date and time of attempted delivery Format= YYYY-MM-DDTHH:MM:SS TZD
(pt) Data e hora da tentativa de entrega Formato= AAAA-MM-DDTHH:MM:SS TZD 
Usage purpose: 
Invoice |
| `nAttempts` | string | No | (en) Number of unsuccessful delivery attempt
(pt) Número da tentativa de entrega que não teve sucesso
Usage purpose: 
Invoice |
| `tpReason` | string | No | (en) Reason for failure
(pt) Motivo do insucesso
Usage purpose: 
Invoice Values: `1`, `2`, `3`, `4`. |
| `justification` | string | No | (en) Justification of the reason for failure. Just inform for tpReason=4
(pt) Justificativa do motivo do insucesso. Informar apenas para tpReason=4 
Usage purpose: 
Invoice |
| `latGPS` | string | No | (en) Delivery point latitude
(pt) Latitude do ponto de entrega ([-]2v6)
Usage purpose: 
Invoice |
| `longGPS` | string | No | (en) Longitude of delivery point
(pt) Longitude do ponto de entrega ([-]3v6)
Usage purpose: 
Invoice |
| `hashAttemptedDelivery` | string | No | (en) SHA-1 Hash, in Base64 format, resulting from the concatenation of the NF-e Access Key + Base64 of the image captured during the delivery attempt
(pt) Hash SHA-1, no formato Base64, resultante da concatenação de  Chave de Acesso da NF-e + Base64 da imagem capturada na tentativa da entrega
Usage purpose: 
Invoice |
| `dhHashAttemptedDelivery` | string | No | (en) Date and time when the delivery attempt hash was generated. Format AAAA-MMDDThh:mm:ssTZD.
(pt) Data e hora da geração do hash da tentativa de entrega. Formato AAAA-MMDDThh:mm:ssTZD.
Usage purpose: 
Invoice |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | (en) Invoice Status
(pt) Status da nota | `eInvoiceReturnStatus` |
| 400 |  |  |
| 401 |  |  |
| 403 |  |  |
| 404 |  |  |
| 429 |  |  |
| 500 |  |  |
| 503 |  |  |

### 200 Response: `eInvoiceReturnStatus`

| Property | Type | Required | Description |
|---|---|---|---|
| `desc` | string | No |  |
| `code` | string | No |  |
| `protocol` | string | No |  |
| `nfseNumber` | string | No |  |
| `nfseVerifyCode` | string | No |  |
| `authorizationDateTime` | string | No |  |

## Example Request

```bash
curl -X POST "https://avataxbr.sandbox.avalarabrasil.com.br/v3/invoices/goods/{key}/deliveryFailure" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "seq": "",
  "descEvento": "",
  "dhAttemptedDelivery": "",
  "nAttempts": "",
  "tpReason": "",
  "justification": "",
  "latGPS": "",
  "longGPS": "",
  "hashAttemptedDelivery": "",
  "dhHashAttemptedDelivery": ""
}'
```